Module | PhusionPassenger::ClassicRailsExtensions::AnalyticsLogging::ACBenchmarkingExtension
In: | lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_benchmarking_extension.rb

### Methods

benchmark_with_passenger

### Public Instance methods

benchmark_with_passenger(title, *args) {|| ...}

[Source]

        # File lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_benchmarking_extension.rb, line 29
    29:         def benchmark_with_passenger(title, *args)
    30:                 # Log ActionController benchmarking blocks.
    31:                 log = Thread.current[PASSENGER_ANALYTICS_WEB_LOG]
    32:                 if log
    33:                         log.measure("BENCHMARK: #{title}") do
    34:                                 benchmark_without_passenger(title, *args) do
    35:                                         yield
    36:                                 end
    37:                         end
    38:                 else
    39:                         benchmark_without_passenger(title, *args) do
    40:                                 yield
    41:                         end
    42:                 end
    43:         end

[Validate]